Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.util.concurrent
Class DelegatableThreadLocal

    java.lang.Object
      java.lang.ThreadLocal
          java.lang.InheritableThreadLocal
              edu.emory.mathcs.util.concurrent.DelegatableThreadLocal

public class DelegatableThreadLocal
extends java.lang.InheritableThreadLocal

Version of a `InheritableThreadLocal` that can be propagated to worker threads by means of `ThreadContext`.

Version:
  1.0
Author:
  Dawid Kurzyniec
See Also:
  `ThreadContext`

Constructor Summary
`DelegatableThreadLocal()` Creates a new instance of DelegatableThreadLocal

Method Summary
`protected java.lang.Object` | `childValue(java.lang.Object parentValue)`
`protected java.lang.Object` | `delegatedValue(java.lang.Object snapshotValue)`
`java.lang.Object` | `get()`
`protected java.lang.Object` | `initialValue()`
`protected void` | `onUndelegated(java.lang.Object undelegatedValue)`
`void` | `set(java.lang.Object value)`
`protected java.lang.Object` | `snapshotValue(java.lang.Object origValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatableThreadLocal

    public DelegatableThreadLocal()

  Creates a new instance of DelegatableThreadLocal

Method Detail

### get

    public java.lang.Object get()

### set

    public void set(java.lang.Object value)

### initialValue

    protected java.lang.Object initialValue()

### childValue

    protected java.lang.Object childValue(java.lang.Object parentValue)

### snapshotValue

    protected java.lang.Object snapshotValue(java.lang.Object origValue)

### delegatedValue

    protected java.lang.Object delegatedValue(java.lang.Object snapshotValue)

### onUndelegated

    protected void onUndelegated(java.lang.Object undelegatedValue)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD